#ifndef SYSDBUSREGISTER_H
#define SYSDBUSREGISTER_H

#include <QObject>
#include <QCoreApplication>
#include <QFile>
#include <QDateTime>
#include <QDebug>
#include <QtDBus/QDBusContext>
#include <QDBusConnection>
#include <QDBusReply>
#include <QDBusConnectionInterface>

#define LIST_PATH "/etc/pairDevice.list"

class SysDbusRegister : public QObject, protected QDBusContext
{
    Q_OBJECT

    Q_CLASSINFO("D-Bus Interface", "com.bluetooth.interface")
public:
    SysDbusRegister();
    ~SysDbusRegister();
private:
    bool InterfaceAlreadyExists();
public slots:
    Q_SCRIPTABLE int exitService();
    Q_SCRIPTABLE QString writeKeyFile(QString,QString,qint32);
    Q_SCRIPTABLE QString removeKeyFile(QString);
    Q_SCRIPTABLE QString getKeyFilePath();
};

#endif // SYSDBUSREGISTER_H
